#' Income distribution data from the US in 2009
#'
#' Data such as these are used to study income inequality. One measure of
#' this is the "Gini coefficient," which can be estimated from a Lorenz
#' function fitted to such data.
#'
#' @source La Haye and Zizler (2021) "The Lorenz Curve in the Classroom", *The American Statistician*, 75(2):217-225]
#'
#' Variables:
#' - `income` The fraction of total household income that goes to the corresponding
#' poorest fraction of the population.
#' - `pop` The fraction of the population whose aggregated income is reported
#' as the `income` value.
"US_income"
